<mat-grid-list cols="13" [rowHeight]="">
  <mat-grid-tile
    [colspan]=10
    [rowspan]=1
  >
    <div>
      <h1>Periodic Table Elements</h1>
    </div>
  </mat-grid-tile>
  <mat-grid-tile
    [colspan]=3
    [rowspan]=6
  >
    <div>
      <div>
        <form (ngSubmit)="getFiltered(formFilter)" #formFilter="ngForm">
          <p>
            <mat-form-field appearance="fill">
              <mat-label>Group</mat-label>
              <input
                matInput
                type="number"
                [ngModel]="groupAndPeriodFilter.group"
                name="group"
              >
            </mat-form-field>
          </p>
          <p>
            <mat-form-field appearance="fill">
              <mat-label>Period</mat-label>
              <input
                matInput
                type="number"
                [ngModel]="groupAndPeriodFilter.period"
                name="period"
              >
            </mat-form-field>
          </p>
          <p>
            <button class="basic-button" type="submit">Filter</button>
          </p>
        </form>
      </div>
      <label *ngIf="showFilterError" class="error-text">No available results for the given parameters</label>
      <p>
        <button class="basic-button" (click)="getAll()">Get All</button>
      </p>
    </div>
  </mat-grid-tile>

  <mat-grid-tile
    class="element-box go-to-box"
    *ngFor="let element of elements"
    [colspan]=2
    [rowspan]=1
  >
    <div (click)="goToDetails(element.atomicNumber)" matTooltip="Element Details">
      <div class="element-number">
        <label>{{element.atomicNumber}}</label>
      </div>
      <div>
        <label>{{element.name}}</label>
      </div>
    </div>

  </mat-grid-tile>

</mat-grid-list>

